Index: tests/GuiChecks/Selection/Atoms/AtomByName/testsuite-selection-select-atoms-by-name.at
===================================================================
--- tests/GuiChecks/Selection/Atoms/AtomByName/testsuite-selection-select-atoms-by-name.at	(revision b10593f5a0f86f8e43ca8817e623d9b64a7c934e)
+++ tests/GuiChecks/Selection/Atoms/AtomByName/testsuite-selection-select-atoms-by-name.at	(revision b10593f5a0f86f8e43ca8817e623d9b64a7c934e)
@@ -0,0 +1,59 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2017 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 6. (un)select atoms by name
+
+# select name by atomic number: 1, 4
+AT_SETUP([Selection - All atoms by specific name])
+AT_KEYWORDS([selection atom name select-atom-by-name])
+
+file=ethane-H5_missing.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByName/pre/ethane.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 --select-atom-by-name H5 -r --no-dry-run --store-session session-selection-select-atoms-by-name.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atoms-by-name.py >session-selection-select-atoms-by-name_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-atoms-by-name_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByName/post/ethane-H5_missing.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - All atoms by specific name with Undo])
+AT_KEYWORDS([selection atom name select-atom-by-name undo])
+
+file=ethane.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByName/pre/ethane.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 --select-atom-by-name H5 --undo -r --no-dry-run --store-session session-selection-select-atoms-by-name.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atoms-by-name.py >session-selection-select-atoms-by-name_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-atoms-by-name_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByName/pre/ethane.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Selection - All atoms by specific name with Redo])
+AT_KEYWORDS([selection atom name select-atom-by-name redo])
+
+file=ethane-H5_missing.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByName/pre/ethane.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 --select-atom-by-name H5 --undo --redo -r --no-dry-run --store-session session-selection-select-atoms-by-name.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atoms-by-name.py >session-selection-select-atoms-by-name_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-atoms-by-name_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByName/post/ethane-H5_missing.pdb], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Selection/Atoms/AtomByName/testsuite-selection-unselect-atoms-by-name.at
===================================================================
--- tests/GuiChecks/Selection/Atoms/AtomByName/testsuite-selection-unselect-atoms-by-name.at	(revision b10593f5a0f86f8e43ca8817e623d9b64a7c934e)
+++ tests/GuiChecks/Selection/Atoms/AtomByName/testsuite-selection-unselect-atoms-by-name.at	(revision b10593f5a0f86f8e43ca8817e623d9b64a7c934e)
@@ -0,0 +1,84 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 5. (un)select atoms by element
+
+
+# select element by atomic number: 1, 4
+AT_SETUP([Unselection - All atoms with specific element by atomic number])
+AT_KEYWORDS([unselection atom element unselect-atom-by-element])
+
+file=test-H_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 --select-all-atoms --unselect-atom-by-element 1 -r --no-dry-run --store-session session-selection-unselect-atoms-by-name.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-by-name.py >session-selection-unselect-atoms-by-name_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-by-name_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/post/test-H_present.xyz], 0, [ignore], [ignore])
+
+file=test-Be_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 --select-all-atoms --unselect-atom-by-element 4 -r --no-dry-run --store-session session-selection-unselect-atoms-by-name.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-by-name.py >session-selection-unselect-atoms-by-name_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-by-name_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/post/test-Be_present.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - All atoms with specific element by symbol with Undo])
+AT_KEYWORDS([unselection atom element unselect-atom-by-element undo])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 --select-all-atoms --unselect-atom-by-element 1 --undo -r --no-dry-run --store-session session-selection-unselect-atoms-by-name.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-by-name.py >session-selection-unselect-atoms-by-name_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-by-name_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/post/empty.xyz], 0, [ignore], [ignore])
+
+file=test.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 --select-all-atoms --unselect-atom-by-element 4 --undo -r --no-dry-run --store-session session-selection-unselect-atoms-by-name.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-by-name.py >session-selection-unselect-atoms-by-name_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-by-name_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/post/empty.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+AT_SETUP([Unselection - All atoms with specific element by symbol with Redo])
+AT_KEYWORDS([unselection atom element unselect-atom-by-element redo])
+
+file=test-H_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 --select-all-atoms --unselect-atom-by-element 1 --undo --redo -r --no-dry-run --store-session session-selection-unselect-atoms-by-name.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-by-name.py >session-selection-unselect-atoms-by-name_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-by-name_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/post/test-H_present.xyz], 0, [ignore], [ignore])
+
+file=test-Be_present.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/pre/test.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -v 3 --select-all-atoms --unselect-atom-by-element 4 --undo --redo -r --no-dry-run --store-session session-selection-unselect-atoms-by-name.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-by-name.py >session-selection-unselect-atoms-by-name_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-by-name_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomByElement/post/test-Be_present.xyz], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Selection/Atoms/testsuite-selection-atoms.at
===================================================================
--- tests/GuiChecks/Selection/Atoms/testsuite-selection-atoms.at	(revision 024c65bc14cdcf98c86fcf1892e8bc3b3c0c6764)
+++ tests/GuiChecks/Selection/Atoms/testsuite-selection-atoms.at	(revision b10593f5a0f86f8e43ca8817e623d9b64a7c934e)
@@ -38,4 +38,8 @@
 m4_include(Selection/Atoms/AtomById/testsuite-selection-unselect-atom-by-id-multiple.at)
 
+# (un)select atoms by name
+m4_include(Selection/Atoms/AtomByName/testsuite-selection-select-atoms-by-name.at)
+m4_include(Selection/Atoms/AtomByName/testsuite-selection-unselect-atoms-by-name.at)
+
 # (un)select atom by order
 m4_include(Selection/Atoms/AtomByOrder/testsuite-selection-select-atom-by-order.at)
